# Generated by Django 4.0.3 on 2023-07-27 15:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('service_rest', '0002_appointment_vip'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='appointment',
            options={},
        ),
        migrations.RenameField(
            model_name='automobilevo',
            old_name='import_href',
            new_name='href',
        ),
        migrations.RemoveField(
            model_name='appointment',
            name='vip',
        ),
        migrations.AddField(
            model_name='appointment',
            name='is_vip',
            field=models.BooleanField(blank=True, default=False, null=True),
        ),
        migrations.AddField(
            model_name='automobilevo',
            name='sold',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='appointment',
            name='customer',
            field=models.CharField(max_length=100),
        ),
        migrations.AlterField(
            model_name='appointment',
            name='status',
            field=models.CharField(default='Created', max_length=100),
        ),
        migrations.AlterField(
            model_name='appointment',
            name='technician',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='appointment', to='service_rest.technician'),
        ),
        migrations.AlterField(
            model_name='appointment',
            name='vin',
            field=models.CharField(max_length=17),
        ),
        migrations.AlterField(
            model_name='technician',
            name='employee_id',
            field=models.CharField(max_length=100),
        ),
        migrations.AlterField(
            model_name='technician',
            name='first_name',
            field=models.CharField(max_length=100),
        ),
        migrations.AlterField(
            model_name='technician',
            name='last_name',
            field=models.CharField(max_length=100),
        ),
        migrations.DeleteModel(
            name='Status',
        ),
    ]
